org.apache.commons.configuration2

## Class BaseConfigurationXMLReader

- java.lang.Object
- - org.apache.commons.configuration2.ConfigurationXMLReader
  - - org.apache.commons.configuration2.BaseConfigurationXMLReader

- All Implemented Interfaces:
    XMLReader

      public class BaseConfigurationXMLReader
      extends ConfigurationXMLReader

  A specialized SAX2 XML parser that processes configuration objects.

  This class mimics to be a SAX compliant XML parser. It is able to iterate over the keys in a configuration object and to generate corresponding SAX events. By registering a `ContentHandler` at an instance it is possible to perform XML processing on a configuration object.

  Version:
    $Id: BaseConfigurationXMLReader.java 1624601 2014-09-12 18:04:36Z oheger $
  Author:
    Commons Configuration team

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.configuration2.ConfigurationXMLReader

      `NS_URI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseConfigurationXMLReader()` Creates a new instance of `BaseConfigurationXMLReader`.
    `BaseConfigurationXMLReader(Configuration conf)` Creates a new instance of `BaseConfigurationXMLReader` and sets the configuration object to be parsed.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `getConfiguration()` Returns the actual configuration to be processed.
    `Configuration` | `getParsedConfiguration()` Returns the configuration to be processed.
    `protected void` | `processKeys()` The main SAX event generation method.
    `void` | `setConfiguration(Configuration conf)` Sets the configuration to be processed.

    - ### Methods inherited from class org.apache.commons.configuration2.ConfigurationXMLReader

      `fireCharacters, fireElementEnd, fireElementStart, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getException, getFeature, getProperty, getRootName, parse, parse, parseConfiguration, setContentHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setProperty, setRootName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseConfigurationXMLReader

          public BaseConfigurationXMLReader()

      Creates a new instance of `BaseConfigurationXMLReader`.

    - #### BaseConfigurationXMLReader

          public BaseConfigurationXMLReader(Configuration conf)

      Creates a new instance of `BaseConfigurationXMLReader` and sets the configuration object to be parsed.
      Parameters:
        `conf` - the configuration to be parsed

  - ### Method Detail

    - #### getConfiguration

          public Configuration getConfiguration()

      Returns the actual configuration to be processed.
      Returns:
        the actual configuration

    - #### setConfiguration

          public void setConfiguration(Configuration conf)

      Sets the configuration to be processed.
      Parameters:
        `conf` - the configuration

    - #### getParsedConfiguration

          public Configuration getParsedConfiguration()

      Returns the configuration to be processed.
      Specified by:
        `getParsedConfiguration` in class `ConfigurationXMLReader`
      Returns:
        the actual configuration

    - #### processKeys

          protected void processKeys()

      The main SAX event generation method. This element uses an internal `HierarchicalConfigurationConverter` object to iterate over all keys in the actual configuration and to generate corresponding SAX events.
      Specified by:
        `processKeys` in class `ConfigurationXMLReader`

Copyright © 2001–2016 The Apache Software Foundation. All rights reserved.